<?php
/**
 * This file is part of
 * pragmaMx - Web Content Management System.
 * Copyright by pragmaMx Developer Team - http://www.pragmamx.org
 *
 * pragmaMx is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * $Revision: 1.5 $
 * $Author: tora60 $
 * $Date: 2010/07/10 07:54:34 $
 *
 * Thanks to Musicman75 (http://www.gothic-online.de) 
 * for writing the Kalender RSS function
 */

defined('mxMainFileLoaded') or die('access denied');
class_exists('pmxBackend', false) or die('access denied');


/**
 * pmxBackend_Kalender
 *
 * @package
 * @author tora60
 * @copyright Copyright (c) 2010
 * @version $Id: backend.php,v 1.33 2010/07/23 12:15:23 tora60 Exp $
 * @access public
 */
class pmxBackend_Kalender extends pmxBackend {
    /**
     * pmxBackend_Kalender::__construct()
     *
     * @param mixed $parent
     */
    public function __construct( & $parent)
    {
        $this->_config = $parent->_config;
    }

    /**
     * pmxBackend_Kalender::get_items()
     *
     * @return
     */
    protected function get_items()
    {

        if (!mxModuleAllowed($this->_modname)) {
            return $this->moduleerror($this->_modname);
        }

        $qrydate = date('Y-m-d');
        $result = sql_query("SELECT eid, title, hometext, startDate, endDate FROM " . $this->prefix . "_events  WHERE activ='1' AND (startDate >= '$qrydate' or endDate >= '$qrydate') ORDER BY startDate ASC, endDate ASC" . $this->sql_limit());
        if (!$result) {
            return;
        }
        $items = array();
        while ($row = sql_fetch_object($result)) {
            $item = new FeedItem();
            $item->descriptionTruncSize = $this->itemdescriptiontrunk;
            $item->title = strip_tags($row->startDate . ' - ' . $row->title);
            $item->link = PMX_HOME_URL . '/modules.php?name=' . $this->_modname . '&op=view&eid=' . $row->eid;
            $item->description = $this->preparetext($row->hometext);
            $item->source = PMX_HOME_URL . '/modules.php?name=' . $this->_modname . '';
            $items[] = $item;
        }
        return $items;
    }
}

?>